/* //////////////////////////////////////////////////////////////////////////*/
/* Included	in "dsODO_definitions.h", it contains functions prototypes       */
/* //////////////////////////////////////////////////////////////////////////*/
void EepromWrite(char Row);
void Long2Eeprom (long Lvar, int EeIndx);
long Eeprom2Long (int EeIndx);
void ConstantsRead(void);
void Float2Eeprom (float Fvar, int EeIndx);
float Eeprom2Float (int EeIndx);
void Fract2Eeprom (fractional Fvar, int EeIndx);
fractional Eeprom2Fract (int EeIndx);
void I2cRX(void);
void Distance(void);
void InitDistPid(void);
void SendVel(void);
void InitAnglePid(void);
void Orientation(void);
unsigned char IncrCircPtr2(void);
unsigned char IncrCircPtr(void);
void DeadReckoning(void);
void CmdWriteParK(unsigned char Id, unsigned char Indx);
void CmdWriteParKvel(unsigned char Id, unsigned char Indx);
void AskParamCall(void);
void CmdWriteId(unsigned char Id, unsigned char Id1);
void CmdWriteVel(unsigned char Id,int Vel);
void CmdHalt(void);
void TxParameters(unsigned char Id,unsigned char TxCmd,int TxCmdLen);
void Tx2Parameters(char TxCmd,int TxCmdLen);
void UartTx(void);
void UartTx2(void);
unsigned char UartChkSum (unsigned char *,unsigned int);
void UartRxError(int Err);
void UartRx2Error(int Err);
void Parser (void);
void Parser2 (void);
void UartRx(void);
void UartRx2(void);
void Settings(void);
void ISR_Settings(void);
void MC_Setting(void);
void DelayN10us(int n);
void _ISR_PSV _U1RXInterrupt(void);
void _ISR_PSV _U2RXInterrupt(void);
void _ISR_PSV _U1TXInterrupt(void);
void _ISR_PSV _U2TXInterrupt(void);
void _ISR_PSV _T1Interrupt(void);
void DelayN1ms(int n);
void DelayN10us(int n);
